">

- NAME
- SYNOPSIS
- METHODS
- AUTHOR
- SEE ALSO

# NAME

Lintian::Pool -- Pool of processables

# SYNOPSIS

     use Lintian::Pool;

     my $pool = Lintian::Pool->new;
     $pool->add_file('foo.changes');
     $pool->add_file('bar.dsc');
     $pool->add_file('baz.deb');
     $pool->add_file('qux.buildinfo');
     foreach my $gname ($pool->get_group_names){
        my $group = $pool->get_group($gname);
        process($gname, $group);
     }

# METHODS

$pool->groups

  Returns a hash reference to the list of processable groups that are currently in the pool. The key is a unique identifier based on name and version.

`savedir`
$pool->basedir

  Returns the base directory for the pool. Most likely it's a temporary directory.

$pool->add_group($group)

  Adds a group to the pool.

$pool->process

  Process the pool.

quantity
$pool->get_group_names

  Returns the name of all the groups in this pool.

  Do not modify the list nor its contents.

$pool->get_group($name)

  Returns the group called $name or `undef` if there is no group called $name.

$pool->empty

  Returns true if the pool is empty.

# AUTHOR

Originally written by Niels Thykier <niels@thykier.net> for Lintian.

# SEE ALSO

lintian(1)

Lintian::Processable

Lintian::Group

<<